#include <iostream>
using namespace std;

int main()
{

    long long x,y;
    string rez;
    cin >> x >> y;
    if(y>x)
        swap(x,y);
    while(x)
    {
        if(x%10>y%10)
            rez+=to_string(x%10);
        else
        {
            if(x%10<y%10)
                rez+=to_string(y%10);
            else
            {
                rez+=to_string(x%10);
                rez+=to_string(x%10);
            }
        }
        x/=10;
        y/=10;
        if(y==0)
            y=-1;
    }
    int n=rez.size();
    for(int i=n-1; i>=0; i--)
        cout << rez[i];
    return 0;
}